Index: libabac/abac.c
===================================================================
--- libabac/abac.c	(revision 23bc59695ecf62e9abb99f52812fc29672eab420)
+++ libabac/abac.c	(revision 0a1ee31e84478023b44177cf36ad431bd079ac3a)
@@ -14,5 +14,4 @@
 #include "abac_verifier.h"
 
-static int debug=0;
 abac_id_cert_t **abac_context_principals(abac_context_t *ctx);
 void abac_context_id_credentials_free(abac_id_cert_t **id_credentials);
@@ -199,11 +198,7 @@
                 int ret = abac_context_load_id_file(ctx, ep->d_name);
                 if (ret == ABAC_CERT_SUCCESS) {
-                    if(debug) fprintf(stderr,"abac_context_load_directory, found an id %s\n",ep->d_name);
                     continue;
                 }
                 ret = abac_context_load_attribute_file(ctx, ep->d_name);
-                if (ret == ABAC_CERT_SUCCESS) {
-                    if(debug) fprintf(stderr,"abac_context_load_directory, found an attr %s\n",ep->d_name);
-                }
             }
         }
@@ -300,6 +295,6 @@
     abac_list_free(cred_list);
 
-/* EXTRA: list of principal stored within the context.. */
-    if(debug) {
+/* EXTRA: print out a list of principal stored within the context.. */
+    if(0) {
         abac_id_cert_t **ilist=abac_context_principals(ctx);
         abac_id_cert_t *cert;
Index: libabac/abac.h
===================================================================
--- libabac/abac.h	(revision 23bc59695ecf62e9abb99f52812fc29672eab420)
+++ libabac/abac.h	(revision 0a1ee31e84478023b44177cf36ad431bd079ac3a)
@@ -78,4 +78,5 @@
 void abac_credential_free(abac_credential_t *cred);
 char *abac_id_cert_keyid(abac_id_cert_t *);
+char *abac_id_cert_cn(abac_id_cert_t *);
 
 /*
Index: libabac/abac_attribute.c
===================================================================
--- libabac/abac_attribute.c	(revision 23bc59695ecf62e9abb99f52812fc29672eab420)
+++ libabac/abac_attribute.c	(revision 0a1ee31e84478023b44177cf36ad431bd079ac3a)
@@ -275,5 +275,5 @@
 	    (char *)id_chunk.ptr, id_chunk.len);
 
-    /*MEI, free id_chunk */
+    /*free id_chunk */
     abac_chunk_free(&id_chunk);
 
Index: libabac/abac_id.c
===================================================================
--- libabac/abac_id.c	(revision 23bc59695ecf62e9abb99f52812fc29672eab420)
+++ libabac/abac_id.c	(revision 0a1ee31e84478023b44177cf36ad431bd079ac3a)
@@ -17,6 +17,4 @@
 #define KEY_SUFFIX  "_private.pem"
 #define CERT_SUFFIX "_ID.pem"
-
-static int debug=0;
 
 // ID object
@@ -68,5 +66,5 @@
     abac_id_t *id=_id_from_cert(cert);
     if(abac_id_privkey_from_file(id, filename)==ABAC_SUCCESS) {
-        if(debug) fprintf(stderr,"abac_id_from_file:found a combo file!!! %s\n", filename);
+        /* found a combo file!!! */
     }
     return id;
@@ -157,5 +155,5 @@
     abac_id_t *id=_id_from_cert(cert);
     if(abac_id_privkey_from_chunk(id, chunk)==ABAC_SUCCESS) {
-        if(debug) fprintf(stderr,"abac_id_from_chunk:found a combo chunk!!!\n");
+        /* found a combo chunk */
     }
     return id;
Index: libabac/abac_util.c
===================================================================
--- libabac/abac_util.c	(revision 23bc59695ecf62e9abb99f52812fc29672eab420)
+++ libabac/abac_util.c	(revision 0a1ee31e84478023b44177cf36ad431bd079ac3a)
@@ -31,31 +31,4 @@
    chunk->ptr=NULL;
 }
-/*
-abac_chunk_t abac_chunk_dup(char *ptr, int len)
-{
-    abac_chunk_t chunk;                                       
-    if(len!=0) {                                              
-       chunk.ptr=(unsigned char *) abac_xstrdup(ptr);         
-       chunk.len=len;
-       } else {                                               
-           chunk.ptr=NULL;                                    
-           chunk.len=0;                                       
-    }                                                         
-    return chunk;                                             
-}                
-
-abac_chunk_t abac_chunk_new(char *ptr, int len)
-{
-    abac_chunk_t chunk;                                       
-    if(len!=0) {                                              
-       chunk.ptr=(unsigned char *) ptr;
-       chunk.len=len;
-       } else {                                               
-           chunk.ptr=NULL;                                    
-           chunk.len=0;                                       
-    }                                                         
-    return chunk;                                             
-}                
-*/
 
 int abac_chunk_null(abac_chunk_t *chunk)
Index: libabac/prover.c
===================================================================
--- libabac/prover.c	(revision 23bc59695ecf62e9abb99f52812fc29672eab420)
+++ libabac/prover.c	(revision 0a1ee31e84478023b44177cf36ad431bd079ac3a)
@@ -5,6 +5,4 @@
 #include <abac.h>
 #include "abac_list.h"
-/* For abac_id_cert_cn et al*/
-#include "abac_verifier.h"
 #include "options.h"
 
